#!/usr/bin/env python

from pylab import *
import sys

rcParams['font.size'] = 12

n = int(input())
a, b, f = loadtxt(sys.stdin, unpack=True)

subplot(121)
title('FFT')
xlabel('EDM distance')
ylabel('counts')
hist(a[:n], insert(b[:n], 0, a[0]), weights=f[:n],
     histtype='stepfilled', color='#e3c5ca', edgecolor='#92182b')
ticklabel_format(style='sci', axis='x', scilimits=(0, 0))

subplot(122)
title('RL')
xlabel('EDM distance')
ylabel('counts')
hist(a[n:], insert(b[n:], 0, a[n]), weights=f[n:],
     histtype='stepfilled', color='#e3c5ca', edgecolor='#92182b')
ticklabel_format(style='sci', axis='x', scilimits=(0, 0))

tight_layout()
show()
